# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectControl Class Reference

A SelectControl kind Selection works with two input Selections
in a dissymmetric way : the Main Input which gives an input
list of Entities, to be processed, and the Second Input which
gives another list, to be used to filter the main input.
e.g. : SelectDiff retains the items of the Main Input which
are not in the Control Input (which acts as Diff Input)
or a specific selection which retains Entities from the Main
Input if and only if they are concerned by an entity from
the Control Input (such as Views in IGES, etc...)
The way RootResult and Label are produced are at charge of
each sub-class
.

`#include <IFSelect_SelectControl.hxx>`

Inheritance diagram for IFSelect_SelectControl:

[legend]

## Public Member Functions

Standard_EXPORT Handle_IFSelect_Selection | MainInput () const
| Returns the Main Input Selection .
Standard_EXPORT Standard_Boolean | HasSecondInput () const
| Returns True if a Control Input is defined Thus, Result can be computed differently if there is a Control Input or if there is none .
Standard_EXPORT Handle_IFSelect_Selection | SecondInput () const
| Returns the Control Input Selection, or a Null Handle .
Standard_EXPORT void | SetMainInput (const Handle(IFSelect_Selection)&sel)
| Sets a Selection to be the Main Input .
Standard_EXPORT void | SetSecondInput (const Handle(IFSelect_Selection)&sel)
| Sets a Selection to be the Control Input .
Standard_EXPORT void | FillIterator (IFSelect_SelectionIterator &iter) const
| Puts in an Iterator the Selections from which "me" depends That is to say, the list of Input Selections .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IFSelect_Selection | themain
Handle_IFSelect_Selection | thesecond

## Member Function Documentation

Standard_EXPORT void IFSelect_SelectControl::FillIterator | ( | IFSelect_SelectionIterator & | iter | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT const IFSelect_SelectControl::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Selection. Reimplemented in IFSelect_SelectDiff.

Standard_EXPORT Standard_Boolean IFSelect_SelectControl::HasSecondInput | ( |  | ) | const

Standard_EXPORT Handle_IFSelect_Selection IFSelect_SelectControl::MainInput | ( |  | ) | const

Standard_EXPORT Handle_IFSelect_Selection IFSelect_SelectControl::SecondInput | ( |  | ) | const

Standard_EXPORT void IFSelect_SelectControl::SetMainInput | ( | const Handle(IFSelect_Selection)& | sel | ) |

Standard_EXPORT void IFSelect_SelectControl::SetSecondInput | ( | const Handle(IFSelect_Selection)& | sel | ) |

## Field Documentation

Handle_IFSelect_Selection IFSelect_SelectControl::themain `[private]`

Handle_IFSelect_Selection IFSelect_SelectControl::thesecond `[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectControl.hxx